> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bank Identifiers

> Retrieve a list of available banks or e-wallet providers for a specific country and method type



## OpenAPI

````yaml GET /v1/beneficiaries/methods
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: >-
    A simple API specification for Fin.com, a financial services platform that
    provides a range of banking and payment solutions for businesses and
    individuals. This API allows developers to integrate Fin.com's services into
    their applications, enabling functionalities such as customer management,
    transaction processing, and access to financial data.
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
  - name: Crypto Orchestration
    description: >-
      Accept crypto deposits from exchange and external wallets and settle them
      to a destination wallet
paths:
  /v1/beneficiaries/methods:
    get:
      tags:
        - Beneficiaries
      summary: List Bank Identifiers
      description: >-
        Retrieve a list of available banks or e-wallet providers for a specific
        country and method type
      parameters:
        - name: country_code
          in: query
          required: true
          schema:
            type: string
          example: BGD
        - name: method
          in: query
          required: true
          schema:
            type: string
            enum:
              - BANK
              - E_WALLET
        - name: currency
          in: query
          required: false
          description: Filter results by settlement currency, as an ISO 4217 alpha-3 code.
          schema:
            type: string
            pattern: ^[A-Z]{3}$
          example: BDT
        - name: scheme
          in: query
          required: false
          description: 'Filter results by payout scheme. Available options: LOCAL, SWIFT.'
          schema:
            type: string
            enum:
              - LOCAL
              - SWIFT
          example: LOCAL
      responses:
        '200':
          description: Bank/method identifiers retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1461
                        name:
                          type: string
                          example: AB BANK LTD.
                        method:
                          type: string
                          enum:
                            - BANK
                            - E_WALLET
                          example: BANK
                        has_branch:
                          type: boolean
                          example: true
        '401':
          $ref: '#/components/responses/AuthenticationError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.